X-Redmine-Issue-Assignee email header field is empty when the assignee of an issue is a group

2021-04-03 12:53 - Akihiro MATOBA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version: 5.0.0   

Resolution: Fixed Affected version:  

Description

When I assign an issue to a group, the X-Redmine-Issue-Assignee: header in the notification mail is empty.

As is:

X-Redmine-Issue-Assignee:

Should be:

X-Redmine-Issue-Assignee: Group (A Team)

Related issues:

Related to Redmine - Feature #19939: New X-Redmine-Issue-Priority header, and... Closed

Associated revisions

Revision 21005 - 2021-05-18 07:18 - Go MAEDA

X-Redmine-Issue-Assignee email header field is empty when the assignee of an issue is a group (#35017).

Patch by Akihiro MATOBA.

History

#1 - 2021-04-03 12:55 - Akihiro MATOBA

- File 35017_v1.patch added

#2 - 2021-04-07 06:07 - Mizuki ISHIKAWA

I reviewed the patch. LGTM.

#3 - 2021-05-07 09:22 - Go MAEDA

- Description updated

#4 - 2021-05-07 09:37 - Go MAEDA

- Target version set to Candidate for next major release

I think the suggested format (X-Redmine-Issue-Assignee: Group (A Team)) is well considered.

If the group name is simply set to X-Redmine-Issue-Assignee, it may conflict with a user’s login, but the proposed format avoids that problem

The keyword "Group" never conflicts with a user's login because the first letter is uppercase

If in the future we want to extend X-Redmine-Issue-Assignee to include the display name of the user, we can use the same format like "admin

(Redmine Admin)"

#5 - 2021-05-07 10:05 - Go MAEDA

- Tracker changed from Patch to Defect

- Subject changed from "X-Redmine-Issue-Assignee:" header should contain a group name, not empty to X-Redmine-Issue-Assignee header in email

notifications is empty when the assignee is a group

#6 - 2021-05-10 11:27 - Go MAEDA
- Target version changed from Candidate for next major release to 5.0.0

Setting the target version to 5.0.0.

#7 - 2021-05-16 08:53 - Go MAEDA

- File 35017_v2.patch added

Updated the patch. I unified the same code written twice.

#8 - 2021-05-17 03:59 - Go MAEDA

- Related to Feature #19939: New X-Redmine-Issue-Priority header, and modification of X-Redmine-Issue-Assignee added

#9 - 2021-05-18 07:29 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch.

Now the value of X-Redmine-Issue-Assignee email header field is "Group (#{issue.assigned_to.name})" (example: "Group (A Team)") if the assignee

of an issue is a group.

Thank you for your contribution.

#10 - 2021-05-18 07:33 - Go MAEDA

- Subject changed from X-Redmine-Issue-Assignee header in email notifications is empty when the assignee is a group to X-Redmine-Issue-Assignee

email header field is empty when the assignee of an issue is a group

Files

35017_v1.patch 2.97 KB 2021-04-03 Akihiro MATOBA

35017_v2.patch 3.06 KB 2021-05-16 Go MAEDA
